/*  osd_support.h (On Screen Display support) -- part of wmsndplay
    Copyright (C) 2002 Clinton Ebadi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef WMS_OSD_SUPPORT_H
#define WMS_OSD_SUPPORT_H

extern int xosd_on; /* defaults to on */

void wms_displaydir (const char* dirname);
void wms_displaytitle (const char* title);
void set_xosd_on (char *s);
void wms_init (); /* call this first */
void wms_exit (); /* call this when done */

#endif /* WMS_OSD_SUPPORT_H */
